 #=============================================================================#
 # Copyright (c) 2009, 2025 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================#

SearchScope_Workspace_label= Workspace (current, referenced and referencing projects)
SearchScope_CurrentAndReferencingProjects_label= Current and referencing projects
SearchScope_CurrentProject_label= Current project
SearchScope_CurrentFile_label= Current file
SearchScope_LocalFrame_label= Local frame

SearchProcessor_label= Searching occurrences of \u203A{0}\u2039...

RenameInWorkspace_label= Rename Variable in Workspace
RenameInWorkspace_Descriptor_description= Rename variable {0} in workspace
RenameInWorkspace_error_InvalidSelection_message= No variable is selected.
RenameInWorkspace_warning_NoDefinition_message= No definition with this name found in referenced projects.
RenameInWorkspace_warning_MultipleDefinitions_message= Multiple definitions with this name found in different packages. Please see the preview to check if you really want to rename all occurrences.
RenameInWorkspace_Changes_ReplaceOccurrence_name= Rename occurrence

RenameInRegion_label= Rename Variables in Selected Region
RenameInRegion_Descriptor_description= Rename variable(s) {0} in region
RenameInRegion_Changes_VariableGroup_name= Variable {0}
RenameInRegion_Changes_ReplaceOccurrence_name= Rename occurrence of {0}
RenameInRegion_Changes_ReplaceOccurrenceOf_name= Rename occurrence of {0} of {1}

InlineTemp_label= Inline Local Variable
InlineTemp_Descriptor_description= Inline local variable {0}
InlineTemp_error_InvalidSelection_message= No local variable is selected.
InlineTemp_error_InvalidSelectionNotLocal_message= Cannot inline variables with non-local scope.
InlineTemp_error_InvalidSelectionParameter_message= Cannot inline method parameters.
InlineTemp_error_InvalidSelectionNoArrow_message= Cannot inline variables not defined by assignment operators.
InlineTemp_error_MissingDefinition_message= No assignment for the selected variable found.
InlineTemp_warning_ValueSyntaxError_message= The variable value expression has syntax errors.
InlineTemp_Changes_DeleteAssignment_name= Delete assignment
InlineTemp_Changes_ReplaceAssignment_name= Replace assignment with the expression
InlineTemp_Changes_ReplaceReference_name= Replace reference with the expression

ExtractTemp_label= Extract Local Variable
ExtractTemp_Descriptor_description= Extract local variable {0}
ExtractTemp_error_InvalidSelection_message= The selected code cannot be matched to a valid R expression.
ExtractTemp_error_InvalidSelectionType_message= Cannot extract the selection, because it is not applicable for its expression type.
ExtractTemp_error_InvalidSelectionFHeader_message= Cannot extract the selection, because it is inside a function header.
ExtractTemp_warning_OccurrencesSyntaxError_message= One or multiple occurrences have syntax errors.
ExtractTemp_warning_ChangedRange_message= The selected code cannot be matched to a valid R expression. A best guess is used. Please see the preview to check what expression will be used exactly.
ExtractTemp_Changes_AddVariable_name= Add variable assignment
ExtractTemp_Changes_ReplaceOccurrence_name= Replace occurrence with a reference

ExtractFunction_label= Extract Function
ExtractFunction_Descriptor_description= Extract function {0}
ExtractFunction_error_InvalidSelection_message= No valid expressions are selected.
ExtractFunction_warning_SelectionSyntaxError_message= The selected expressions have syntax errors.
ExtractFunction_warning_ChangedRange_message= The selected code cannot be matched to valid R expressions. A best guess is used. Please see the preview to check what expressions will be used exactly.
ExtractFunction_Changes_AddFunctionDef_name= Add function definition
ExtractFunction_Changes_DeleteOld_name= Delete extracted expressions
ExtractFunction_Changes_ReplaceOldWithFunctionDef_name= Replace with function definition
ExtractFunction_Changes_AddFunctionCall_name= Add function call

FunctionToS4Method_label= Convert To S4 Method
FunctionToS4Method_Descriptor_description= Convert function to S4 method {0}
FunctionToS4Method_error_InvalidSelection_message= The selected code cannot be matched to valid R expressions.
FunctionToS4Method_error_SelectionAlreadyS4_message= The selected function is already a S4 definition.
FunctionToS4Method_warning_SelectionSyntaxError_message= The selected function has syntax errors.
FunctionToS4Method_Changes_DeleteOld_name= Delete converted function
FunctionToS4Method_Changes_AddGenericDef_name= Add generic definition
FunctionToS4Method_Changes_AddMethodDef_name= Add method definition

FCallToPipeForwardMethod_label= Convert Function Call To Forward Pipe
FCallToPipeForwardMethod_Descriptor_description= Convert function call of \u203A\u200A{0}\u200A\u2039 to forward pipe with input \u203A\u200A{1}\u200A\u2039
FCallToPipeForwardMethod_error_MissingArg_message= The selected function call doesn\u2019t have an argument.
FCallToPipeForwardMethod_error_MissingArgValue_message= The function call argument to extract does not have a value.
FCallToPipeForwardMethod_Changes_AddPipe_name= Add pipe expression
FCallToPipeForwardMethod_Changes_DeleteOld_name= Delete moved argument

IfElseInvert_label= Invert 'if-else' Statement
IfElseInvert_Descriptor_description= Invert 'if-else' statement
IfElseInvert_error_MissingElse_message= The selected 'if' statement does not have an 'else' case.
IfElseInvert_Changes_InvertCond_name= Invert condition
IfElseInvert_Changes_ExchangeThen_name= Exchange 'then' statement
IfElseInvert_Changes_ExchangeElse_name= Exchange 'else' statement
IfNotNullElseToSpecial_label= Convert 'if-else' To '%||%' Statement
IfNotNullElseToSpecial_Descriptor_description= Convert 'non-null-else' of \u203A\u200A{0}\u200A\u2039 to '%||%' statement
IfNotNullElseToCIfElse_label= Convert '%||%' To 'if-else' Statement 
IfNotNullElseToCIfElse_Descriptor_description= Convert 'not-null-else' of \u203A\u200A{0}\u200A\u2039 to 'if-else' statement
IfNotNullElse_Changes_name= Replace

RIdentifiers_error_Empty_message= The input must not be empty.
RIdentifiers_error_EmptyFor_message= {0} must not be empty.
RIdentifiers_error_Invalid_message= The input is not a valid identifier.
RIdentifiers_error_InvalidFor_message= {0} is not a valid identifier.

RModel_DeleteParticipant_name= Remove elements from R model
RModel_DeleteProject_name= Remove project ''{0}'' from R model
